import * as monaco from 'monaco-editor';
export declare function lockCodeWithoutDecoration(editor: monaco.editor.IStandaloneCodeEditor, decorations: string[], allowChangeFromSources?: string[], errorMessage?: string): () => void;
export declare function hideCodeWithoutDecoration(editor: monaco.editor.IStandaloneCodeEditor, decorations: string[]): () => void;
/**
 * Collapse everything between startToken and endToken
 */
export declare function collapseCodeSections(editor: monaco.editor.IStandaloneCodeEditor, startToken: string, endToken: string, isRegex?: boolean): Promise<void>;
